// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#ifndef _STATE_ABSTRACT_
#define _STATE_ABSTRACT_

// State abstraction
typedef struct {
    void (*StateInitialization) ( void* );
    void (*DefaultStateMethod)  ( void* );
    void (*InterruptHandler)    ( void* );
} StateAbstract;

#endif
