// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#include "StateB.h"

extern BYTE portValueState      ;
extern BYTE portValueIntHandler ;

// **********************************
// * State B: initialization method *
// **********************************
void StateBInitialization (void* ptrSa){
     StateAbstract* ptr = (StateAbstract*)ptrSa  ;
     
     ptr->DefaultStateMethod = &StateBMethod     ;
     ptr->InterruptHandler   = &InterruptBHandler;
}

// ***************************
// * State B: default method *
// ***************************
static void StateBMethod( void* command ){
    portValueState = 0xFE;
}

// *********************************
// * State B: event handler method *
// *********************************
static void InterruptBHandler( void* interruptId ){
    portValueIntHandler = 0xFE;
}