// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#ifndef _STATE_MACHINE_ABSTRACT_
#define _STATE_MACHINE_ABSTRACT_

// State machine abstraction
typedef struct {
    void ( *Initialization )                 ( void* );
    void ( *StateInitialization )            ( void  );
    void ( *TransitionMatrixInitialization ) ( void* );
    void ( *StartProcessing )                ( void  );
    void ( *SetCommand )                     ( void* );
    void ( *ProcessCommand )                 ( void  );
} StateMachineAbstract;

#endif
