// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#include "StateA.h"

extern BYTE portValueState      ;
extern BYTE portValueIntHandler ;

// **********************************
// * State A: initialization method *
// **********************************
void StateAInitialization (void* ptrSa){
     StateAbstract* ptr = (StateAbstract*)ptrSa   ;
     
     ptr->DefaultStateMethod = &StateAMethod      ;
     ptr->InterruptHandler   = &InterruptAHandler ;
}

// ***************************
// * State A: default method *
// ***************************
static void StateAMethod( void* command ){
    portValueState = 0xFF;
}

// *********************************
// * State A: event handler method *
// *********************************
static void InterruptAHandler( void* interruptId ){
    portValueIntHandler = 0xFF;
}