// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#include "StateC.h"

extern BYTE portValueState      ;
extern BYTE portValueIntHandler ;

// **********************************
// * State C: initialization method *
// **********************************
void StateCInitialization (void* ptrSa){
     StateAbstract* ptr = (StateAbstract*)ptrSa  ;
     
     ptr->DefaultStateMethod = &StateCMethod     ;
     ptr->InterruptHandler   = &InterruptCHandler;
}

// ***************************
// * State C: default method *
// ***************************
static void StateCMethod( void* command ){
    portValueState = 0xFC;
}

// *********************************
// * State C: event handler method *
// *********************************
static void InterruptCHandler( void* interruptId ){
    portValueIntHandler = 0xFC;
}