// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#include "StateD.h"

extern BYTE portValueState      ;
extern BYTE portValueIntHandler ;

// **********************************
// * State D: initialization method *
// **********************************
void StateDInitialization (void* ptrSa){
     StateAbstract* ptr = (StateAbstract*)ptrSa  ;
     
     ptr->DefaultStateMethod = &StateDMethod     ;
     ptr->InterruptHandler   = &InterruptDHandler;
}

// ***************************
// * State D: default method *
// ***************************
static void StateDMethod( void* command ){
    portValueState = 0xFB;
}

// *********************************
// * State D: event handler method *
// *********************************
static void InterruptDHandler( void* interruptId ){
    portValueIntHandler = 0xFB;
}